Skip to main content

Get All Player Id Settings For Setting Type

GET 

/settings/v1/player/:player_id/setting_type/:setting_type_id/key

deprecated

DEPRECATED - Use v2 instead. Get a list of all player setting documents for a specific Setting Type.

Required Permissions:

  • For any player (including themselves) any of: setting:*:*, setting:read

  • For the player themselves : setting:read:self

Request

Path Parameters

    player_id Player Idrequired

    Player to get settings for

    setting_type_id Setting Type Idrequired

    Setting Type to get settings for. Must be one of the known setting types

Query Parameters

    key string[]

    Possible values: non-empty and <= 256 characters

    Setting Key to get settings for. If not specified, all settings for the setting type will be returned

Header Parameters

    if-match any

    Precondition check if the resource's current ETag matches the provided values. * can be used to match any existing value.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-match for more information

    if-none-match any

    Precondition check if the resource's current ETag does NOT match the provided values. * can be used to match existing value, causing the request to fail.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-none-match for more information

    if-modified-since any

    Precondition check if the resource's Last-Modified date is newer than the provided date. Ignored if the If-None-Match header is provided. Only valid for GET/HEAD endpoints.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-modified-since for more information

    if-unmodified-since any

    Precondition check if the resource's Last-Modified date is older than the provided date. Ignored if the If-Match header is provided.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-unmodified-since for more information

Responses

Successful Response

Response Headers

  • ETag

    string

    The ETag for the resource. Used for caching and preconditions.

  • Last-Modified

    string

    The Last-Modified date for the resource. Used for caching and preconditions.

Schema

    property name*

    SettingData

    Setting version/value document from a specific setting type/key for a player

    v V (integer)required

    Version of the Setting Type schema that was used to validate the value document.

    value Valuerequired

    Setting Value document

    etag

    object

    ETag identifying the current version+value of the document

    anyOf

    string

    last_modified

    object

    Timestamp when this setting was last modified

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

Loading...